Overview | Package | Class | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | ENUM CONSTANTS | FIELD | METHOD | DETAIL: ENUM CONSTANTS | FIELD | METHOD

## com.google.gwt.core.ext
Enum TreeLogger.Type

    java.lang.Object
      java.lang.Enum<TreeLogger.Type>
          com.google.gwt.core.ext.TreeLogger.Type

All Implemented Interfaces:
  java.io.Serializable, java.lang.Comparable<TreeLogger.Type>

Enclosing class:
  TreeLogger

    public static enum TreeLogger.Type

extends java.lang.Enum<TreeLogger.Type>

A type-safe enum of all possible logging severity types.

Enum Constant Summary
`ALL` Logs everything -- quite a bit of stuff.
`DEBUG` Logs detailed information that could be useful during debugging.
`ERROR` Logs an error.
`INFO` Logs information.
`SPAM` Logs extremely verbose and detailed information that is typically useful only to product implementors.
`TRACE` Logs information related to lower-level operation.
`WARN` Logs a warning.

Method Summary
`java.lang.String` | `getLabel()` Gets the label for this severity type.
`static TreeLogger.Type[]` | `instances()` Gets all the possible severity types as an array.
`boolean` | `isLowerPriorityThan(TreeLogger.Type other)` Determines whether this log type is of lower priority than some other log type.
`boolean` | `needsAttention()` Indicates whether this severity type represents a high severity that should be highlighted for the user.
`static TreeLogger.Type` | `valueOf(java.lang.String name)` Returns the enum constant of this type with the specified name.
`static TreeLogger.Type[]` | `values()` Returns an array containing the constants of this enum type, in the order they're declared.

Methods inherited from class java.lang.Enum
`clone, compareTo, equals, getDeclaringClass, hashCode, name, ordinal, toString, valueOf`

Methods inherited from class java.lang.Object
`finalize, getClass, notify, notifyAll, wait, wait, wait`

Enum Constant Detail

### ERROR

    public static final TreeLogger.Type ERROR

  Logs an error.

### WARN

    public static final TreeLogger.Type WARN

  Logs a warning.

### INFO

    public static final TreeLogger.Type INFO

  Logs information.

### TRACE

    public static final TreeLogger.Type TRACE

  Logs information related to lower-level operation.

### DEBUG

    public static final TreeLogger.Type DEBUG

  Logs detailed information that could be useful during debugging.

### SPAM

    public static final TreeLogger.Type SPAM

  Logs extremely verbose and detailed information that is typically useful only to product implementors.

### ALL

    public static final TreeLogger.Type ALL

  Logs everything -- quite a bit of stuff.

Method Detail

### values

    public static final TreeLogger.Type[] values()

  Returns an array containing the constants of this enum type, in the order they're declared. This method may be used to iterate over the constants as follows:

      for(TreeLogger.Type c : TreeLogger.Type.values())
              System.out.println(c);

  Returns:
    an array containing the constants of this enum type, in the order they're declared

### valueOf

    public static TreeLogger.Type valueOf(java.lang.String name)

  Returns the enum constant of this type with the specified name. The string must match exactly an identifier used to declare an enum constant in this type. (Extraneous whitespace characters are not permitted.)

  Parameters:
    `name` - the name of the enum constant to be returned.
  Returns:
    the enum constant with the specified name
  Throws:
    `java.lang.IllegalArgumentException` - if this enum type has no constant with the specified name

### instances

    public static TreeLogger.Type[] instances()

  Gets all the possible severity types as an array.

  Returns:
    an array of severity types

### getLabel

    public java.lang.String getLabel()

  Gets the label for this severity type.

  Returns:
    the label

### isLowerPriorityThan

    public boolean isLowerPriorityThan(TreeLogger.Type other)

  Determines whether this log type is of lower priority than some other log type.

  Parameters:
    `other` - the other log type
  Returns:
    `true` if this log type is lower priority

### needsAttention

    public boolean needsAttention()

  Indicates whether this severity type represents a high severity that should be highlighted for the user.

  Returns:
    `true` if this severity is high, otherwise `false`.

Overview | Package | Class | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | ENUM CONSTANTS | FIELD | METHOD | DETAIL: ENUM CONSTANTS | FIELD | METHOD